org.keycloak.authorization.model

## Interface PermissionTicket

- All Known Implementing Classes:
    AbstractPermissionTicketModel, MapPermissionTicketAdapter, PermissionTicketAdapter, PermissionTicketAdapter

      public interface PermissionTicket

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PermissionTicket.FilterOption`
    `static class` | `PermissionTicket.SearchableFields`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getCreatedTimestamp()`
    `Long` | `getGrantedTimestamp()`
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getOwner()` Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
    `Policy` | `getPolicy()`
    `String` | `getRequester()`
    `Resource` | `getResource()` Returns the `Resource` associated with this instance
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` where this policy belongs to.
    `Scope` | `getScope()` Returns the `Scope` associated with this instance
    `boolean` | `isGranted()`
    `void` | `setGrantedTimestamp(Long millis)`
    `void` | `setPolicy(Policy policy)`

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### getOwner

          String getOwner()

      Returns the resource's owner, which is usually an identifier that uniquely identifies the resource's owner.
      Returns:
        the owner of this resource

    - #### getRequester

          String getRequester()

    - #### getResource

          Resource getResource()

      Returns the `Resource` associated with this instance
      Returns:
        the `Resource` associated with this instance

    - #### getScope

          Scope getScope()

      Returns the `Scope` associated with this instance
      Returns:
        the `Scope` associated with this instance

    - #### isGranted

          boolean isGranted()

    - #### getCreatedTimestamp

          Long getCreatedTimestamp()

    - #### getGrantedTimestamp

          Long getGrantedTimestamp()

    - #### setGrantedTimestamp

          void setGrantedTimestamp(Long millis)

    - #### getResourceServer

          ResourceServer getResourceServer()

      Returns the `ResourceServer` where this policy belongs to.
      Returns:
        a resource server

    - #### getPolicy

          Policy getPolicy()

    - #### setPolicy

          void setPolicy(Policy policy)

Copyright © 2021 JBoss by Red Hat. All rights reserved.